E-MailRelay

Public Attributes | List of all members
G::File::Stat Struct Reference

A portable 'struct stat'. More...

`#include <gfile.h>`

## Public Attributes
int | error {0}
bool | enoent {false}
bool | eaccess {false}
bool | is_dir {false}
bool | is_link {false}
bool | is_executable {false}
bool | is_empty {false}
std::time_t | mtime_s {0}
unsigned int | mtime_us {0}
unsigned long | mode {0}
unsigned long long | size {0}
unsigned long long | blocks {0}

## Detailed Description

A portable 'struct stat'.

Definition at line 63 of file gfile.h.

## Member Data Documentation

## ◆ blocks

unsigned long long G::File::Stat::blocks {0}

Definition at line 76 of file gfile.h.

## ◆ eaccess

bool G::File::Stat::eaccess {false}

Definition at line 67 of file gfile.h.

## ◆ enoent

bool G::File::Stat::enoent {false}

Definition at line 66 of file gfile.h.

## ◆ error

int G::File::Stat::error {0}

Definition at line 65 of file gfile.h.

## ◆ is_dir

bool G::File::Stat::is_dir {false}

Definition at line 68 of file gfile.h.

## ◆ is_empty

bool G::File::Stat::is_empty {false}

Definition at line 71 of file gfile.h.

## ◆ is_executable

bool G::File::Stat::is_executable {false}

Definition at line 70 of file gfile.h.

## ◆ is_link

bool G::File::Stat::is_link {false}

Definition at line 69 of file gfile.h.

## ◆ mode

unsigned long G::File::Stat::mode {0}

Definition at line 74 of file gfile.h.

## ◆ mtime_s

std::time_t G::File::Stat::mtime_s {0}

Definition at line 72 of file gfile.h.

## ◆ mtime_us

unsigned int G::File::Stat::mtime_us {0}

Definition at line 73 of file gfile.h.

## ◆ size

unsigned long long G::File::Stat::size {0}

Definition at line 75 of file gfile.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/glib/gfile.h